# icx_logging – Manage logging on Ruckus ICX 7000 series switches

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of logging on Ruckus ICX 7000 series switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate list |  | List of logging definitions.

check_running_config
boolean

Choices:
- no
- yes

Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.

dest
string

Choices:
- on
- host
- console
- buffered
- persistence
- rfc5424

Destination of the logs.

facility
string

Choices:
- auth
- cron
- daemon
- kern
- local0
- local1
- local2
- local3
- local4
- local5
- local6
- local7
- user
- lpr
- mail
- news
- syslog
- sys9
- sys10
- sys11
- sys12
- sys13
- sys14
- user
- uucp

Specifies log facility to log messages from the device.

level
list

Choices:
- alerts
- critical
- debugging
- emergencies
- errors
- informational
- notifications
- warnings

Specifies the message level.

| name string |  | ipv4 address/ipv6 address/name of syslog server.

state
string

Choices:
- present
- absent

State of the logging configuration.

| udp_port string |  | UDP port of destination host(syslog server).

check_running_config
boolean

Choices:
- no
- yes ←

Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.

dest
string

Choices:
- on
- host
- console
- buffered
- persistence
- rfc5424

Destination of the logs.

facility
string

Choices:
- auth
- cron
- daemon
- kern
- local0
- local1
- local2
- local3
- local4
- local5
- local6
- local7
- user
- lpr
- mail
- news
- syslog
- sys9
- sys10
- sys11
- sys12
- sys13
- sys14
- user
- uucp

Specifies log facility to log messages from the device.

level
list

Choices:
- alerts
- critical
- debugging
- emergencies
- errors
- informational
- notifications
- warnings

Specifies the message level.

name string |  | ipv4 address/ipv6 address/name of syslog server.

state
string

Choices:
- present ←
- absent

State of the logging configuration.

udp_port string |  | UDP port of destination host(syslog server).

## Notes

Note

- Tested against ICX 10.1.

- For information on using ICX platform, see the ICX OS Platform Options guide.

## Examples

    - name: Configure host logging.
      icx_logging:
        dest: host
        name: 172.16.0.1
        udp_port: 5555
    - name: Remove host logging configuration.
      icx_logging:
        dest: host
        name: 172.16.0.1
        udp_port: 5555
        state: absent
    - name: Disables the real-time display of syslog messages.
      icx_logging:
        dest: console
        state: absent
    - name: Enables local syslog logging.
      icx_logging:
        dest : on
        state: present
    - name: configure buffer level.
      icx_logging:
        dest: buffered
        level: critical
    - name: Configure logging using aggregate
      icx_logging:
        aggregate:
          - { dest: buffered, level: ['notifications','errors'] }
    - name: remove logging using aggregate
      icx_logging:
        aggregate:
          - { dest: console }
          - { dest: host, name: 172.16.0.1, udp_port: 5555 }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['logging host 172.16.0.1', 'logging console']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ruckus Wireless (@Commscope)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.